package org.rcisoft.business.memInfo.entity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年12月20日 下午3:35:34.
*/
@Data
@TableName("mem_info")
public class MemInfo  extends CyIdIncreEntity<MemInfo> {


     /**
     * @desc 用户id
     * @column user_id
     * @default
     */
     @Excel(name = "用户id", orderNum = "0", width = 20)
     private Integer userId;

     /**
     * @desc 会员号
     * @column mem_code
     * @default
     */
     @Excel(name = "会员号", orderNum = "1", width = 20)
     private String memCode;

     /**
     * @desc 用户性别（0男 1女 2未知）
     * @column mem_sex
     * @default
     */
     @Excel(name = "用户性别（0男 1女 2未知）", orderNum = "2", width = 20)
     private String memSex;

     /**
     * @desc 民族
     * @column mem_nation
     * @default
     */
     @Excel(name = "民族", orderNum = "2", width = 20)
     private String memNation;

     /**
     * @desc 生日，格式：xxxx-01-01
     * @column mem_birthday
     * @default
     */
     @Excel(name = "生日，格式：xxxx-01-01", orderNum = "3", width = 20)
     private String memBirthday;

     /**
     * @desc 星座，1-12 水瓶-摩羯 ,根据birthday，自动带入
     * @column mem_constellation
     * @default
     */
     @Excel(name = "星座，1-12 水瓶-摩羯 ,根据birthday，自动带入", orderNum = "4", width = 20)
     private String memConstellation;

     /**
     * @desc 身高
     * @column mem_height
     * @default
     */
     @Excel(name = "身高", orderNum = "5", width = 20)
     private BigDecimal memHeight;

     /**
     * @desc 体重 kg
     * @column mem_weight
     * @default
     */
     @Excel(name = "体重 kg", orderNum = "6", width = 20)
     private BigDecimal memWeight;

     /**
     * @desc 大专以下 1，大专 2，本科 3，硕士，4，博士 5，博士后 6，其他 0
     * @column mem_max_education
     * @default
     */
     @Excel(name = "大专以下 1，大专 2，本科 3，硕士，4，博士 5，博士后 6，其他 0", orderNum = "7", width = 20)
     private String memMaxEducation;

     /**
     * @desc 毕业院校
     * @column mem_college
     * @default
     */
     @Excel(name = "毕业院校", orderNum = "8", width = 20)
     private String memCollege;

     /**
     * @desc 职业
     * @column mem_career
     * @default
     */
     @Excel(name = "职业", orderNum = "9", width = 20)
     private String memCareer;

     /**
     * @desc 年收入，单位 k
     * @column mem_year_income
     * @default
     */
     @Excel(name = "年收入，单位 k", orderNum = "10", width = 20)
     private BigDecimal memYearIncome;

     /**
     * @desc 工作单位
     * @column mem_work_place
     * @default
     */
     @Excel(name = "工作单位", orderNum = "11", width = 20)
     private String memWorkPlace;

     /**
     * @desc 居住地省份
     * @column mem_residence_province
     * @default
     */
     @Excel(name = "居住地省份", orderNum = "12", width = 20)
     private String memResidenceProvince;

     /**
     * @desc 居住地市
     * @column mem_residence_city
     * @default
     */
     @Excel(name = "居住地市", orderNum = "13", width = 20)
     private String memResidenceCity;

     /**
     * @desc 籍贯省份
     * @column mem_native_province
     * @default
     */
     @Excel(name = "籍贯省份", orderNum = "14", width = 20)
     private String memNativeProvince;

     /**
     * @desc 籍贯市
     * @column mem_native_city
     * @default
     */
     @Excel(name = "籍贯市", orderNum = "15", width = 20)
     private String memNativeCity;

     /**
     * @desc 自我介绍
     * @column mem_introduce
     * @default
     */
     @Excel(name = "自我介绍", orderNum = "16", width = 20)
     private String memIntroduce;

     /**
     * @desc 兴趣爱好
     * @column mem_hobby
     * @default
     */
     @Excel(name = "兴趣爱好", orderNum = "17", width = 20)
     private String memHobby;

     /**
     * @desc 未来规划
     * @column mem_future_plan
     * @default
     */
     @Excel(name = "未来规划", orderNum = "18", width = 20)
     private String memFuturePlan;

     /**
     * @desc 期待
     * @column mem_half_desire
     * @default
     */
     @Excel(name = "期待", orderNum = "19", width = 20)
     private String memHalfDesire;

     /**
     * @desc 婚姻状况：0 其他 ，1 未婚，2 已婚，3 离异
     * @column mem_marriage
     * @default
     */
     @Excel(name = "婚姻状况：0 其他 ，1 未婚，2 已婚，3 离异", orderNum = "20", width = 20)
     private String memMarriage;

     /**
     * @desc 婚姻状况备注
     * @column mem_marriage_remarks
     * @default
     */
     @Excel(name = "婚姻状况备注", orderNum = "21", width = 20)
     private String memMarriageRemarks;

     /**
     * @desc 16型人格
     * @column mem_mbti
     * @default
     */
     @Excel(name = "16型人格", orderNum = "22", width = 20)
     private String memMbti;

     /**
     * @desc wx 号
     * @column mem_wx_code
     * @default
     */
     @Excel(name = "wx 号", orderNum = "23", width = 20)
     private String memWxCode;

     /**
     * @desc 真实姓名
     * @column mem_real_name
     * @default
     */
     @Excel(name = "真实姓名", orderNum = "24", width = 20)
     private String memRealName;

     /**
     * @desc 电话
     * @column mem_phone
     * @default
     */
     @Excel(name = "电话", orderNum = "25", width = 20)
     private String memPhone;

     /**
     * @desc 证件号
     * @column mem_idcard
     * @default
     */
     @Excel(name = "证件号", orderNum = "26", width = 20)
     private String memIdcard;

     /**
     * @desc 实名认证，1 已实名，0 未实名
     * @column mem_real_authen
     * @default
     */
     @Excel(name = "1 已实名，0 未实名", orderNum = "27", width = 20)
     private String memRealAuthen;

     /**
     * @desc 实名认证时间
     * @column mem_real_authen_date
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "实名时间", orderNum = "28", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date memRealAuthenDate;

     /**
      * @desc 学历认证，1 认证，0 未认证
      * @column mem_education_authen
      * @default
      */
     @Excel(name = "1 已认证，0 未认证", orderNum = "27", width = 20)
     private String memEducationAuthen;

     /**
      * @desc 学历时间
      * @column mem_education_authen_date
      * @default
      */
     @JsonFormat(
             pattern = "yyyy-MM-dd"
     )
     @Excel(name = "学历认证时间", orderNum = "28", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date memEducationAuthenDate;

     /**
     * @desc 会员等级  0 无
     * @column mem_level
     * @default
     */
     @Excel(name = "会员等级  0 无", orderNum = "29", width = 20)
     private Integer memLevel;

     /**
     * @desc 会员开始时间
     * @column mem_level_begin_date
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "会员开始时间", orderNum = "30", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date memLevelBeginDate;

     /**
     * @desc 会员结束时间
     * @column mem_level_end_date
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "会员结束时间", orderNum = "31", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date memLevelEndDate;

     /**
     * @desc 会员昵称
     * @column mem_nick_name
     * @default
     */
     @Excel(name = "昵称", orderNum = "32", width = 20)
     private String memNickName;

     /**
     * @desc 会员等级
     * @column mem_code_level
     * @default
     */
     private String memCodeLevel;


     /**
      * @desc 会员信息图片id
      * @column mem_picture_id
      * @default
      */
     private String memPictureId;

     /**
      * @desc 会员学历认证图片id
      * @column mem_education_picture_id
      * @default
      */
     private Integer memEducationPictureId;

     /**
      * @desc 头像地址
      * @column avatar
      * @default
      */
     @Schema(name = "avatar", description = "头像地址", required = false)
     private Integer avatar;


     @Schema(name = "wxOpenid", description = "微信openid", required = false, type = "string")
     private String wxOpenid;

     @Schema(name = "sort", description = "排序")
     private Integer sort;

     @Schema(name = "isRecommended", description = "是否为推荐（1是、0否）")
     private Integer isRecommended;

     @Schema(name = "avatarOpen", description = "是否开放（1是、0否）")
     private Integer avatarOpen;

     /**
      * @desc 被点赞数
      * @column mem_liked_count
      * @default
      */
     private Integer memLikedCount;

     /**
      * @desc 被关注数
      * @column mem_followed_count
      * @default
      */
     private Integer memFollowedCount;

     /**
      * @desc 金币数
      * @column gold_coins_count
      * @default
      */
     private Integer goldCoinsCount;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;


     /**
      * 生日开始时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String beginBirthday;

     /**
      * 生日结束时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String endBirthday;


     /**
      * 最小身高
      */
     @TableField(exist = false)
     private BigDecimal minHeight;

     /**
      * 最大身高
      */
     @TableField(exist = false)
     private BigDecimal maxHeight;


     /**
      * 最小体重
      */
     @TableField(exist = false)
     private BigDecimal minWeight;

     /**
      * 最大体重
      */
     @TableField(exist = false)
     private BigDecimal maxWeight;

     /**
      * 学历
      */
     @TableField(exist = false)
     private String educations;


     /**
      * 最小年收入
      */
     @TableField(exist = false)
     private BigDecimal minYearIncome;

     /**
      * 最大年收入
      */
     @TableField(exist = false)
     private BigDecimal maxYearIncome;


     /**
      * 实名开始时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String authenBeginTime;

     /**
      * 实名结束时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String authenEndTime;

     /**
      * 开始时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String memLevelBeginTime;

     /**
      * 结束时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String memLevelEndTime;


     /**
      * 最小年龄
      */
     @TableField(exist = false)
     private Integer minAge;

     /**
      * 最大年龄
      */
     @TableField(exist = false)
     private Integer maxAge;

     /**
      * @desc 头像地址
      * @column avatar
      * @default
      */
     @TableField(exist = false)
     private String avatarUrl;

     /**
      * 会员信息其他头像地址
      */
     @TableField(exist = false)
     private String pictureUrls;

     /**
      * 学历认证图片地址
      */
     @TableField(exist = false)
     private String educationPictureUrl;


     /**
      * @desc 会员号直等筛选
      * @column memCodeStr
      * @default
      */
     @TableField(exist = false)
     private String memCodeStr;

     /**
      * @desc 微信号直等筛选
      * @column memWxCodeStr
      * @default
      */
     @TableField(exist = false)
     private String memWxCodeStr;

     /**
      * @desc 实名认证前端获取信息
      * @column metaInfo
      * @default
      */
     @TableField(exist = false)
     private String metaInfo;

     /**
      * 登录人id  用于小程序首页排除当前登录人
      */
     @TableField(exist = false)
     private Integer loginUserId;

     /**
      * 我喜欢的数量
      */
     @TableField(exist = false)
     private Integer meFollowCount;

     /**
      * 喜欢我的数量
      */
     @TableField(exist = false)
     private Integer followMeCount;

     /**
      * 互相喜欢的数量
      */
     @TableField(exist = false)
     private Integer eachFollowCount;

     /**
      * 查询类型 1：我喜欢的  2：喜欢我的  3：互相喜欢的
      */
     @TableField(exist = false)
     private String queryType;

     /**
      * @desc 星座，1-12 水瓶-摩羯 ,根据birthday，自动带入
      * @column mem_constellation
      * @default
      */
     @TableField(exist = false)
     @Excel(name = "星座，1-12 水瓶-摩羯 ,根据birthday，自动带入", orderNum = "4", width = 20)
     private String memConstellationList;

     /**
      * 会员热度排序
      */
     @TableField(exist = false)
     private Integer memSort;
}

